subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject svn commit: r1781900 - /subversion/trunk/tools/buildbot/slaves/bb-openbsd/svncheck-bindings.sh
Date Mon, 06 Feb 2017 13:53:58 GMT
Author: stsp
Date: Mon Feb  6 13:53:58 2017
New Revision: 1781900

URL: http://svn.apache.org/viewvc?rev=1781900&view=rev
Log:
* tools/buildbot/slaves/bb-openbsd/bb-openbsd/svncheck-bindings.sh:
  Fix check for success of Ruby tests which had stopped working because
  the last line of the Ruby test log has changed.

Modified:
    subversion/trunk/tools/buildbot/slaves/bb-openbsd/svncheck-bindings.sh

Modified: subversion/trunk/tools/buildbot/slaves/bb-openbsd/svncheck-bindings.sh
URL: http://svn.apache.org/viewvc/subversion/trunk/tools/buildbot/slaves/bb-openbsd/svncheck-bindings.sh?rev=1781900&r1=1781899&r2=1781900&view=diff
==============================================================================
--- subversion/trunk/tools/buildbot/slaves/bb-openbsd/svncheck-bindings.sh (original)
+++ subversion/trunk/tools/buildbot/slaves/bb-openbsd/svncheck-bindings.sh Mon Feb  6 13:53:58
2017
@@ -27,6 +27,6 @@ export MALLOC_OPTIONS=S
 (cd .. && gmake BRANCH="$branch" THREADING="no" svn-check-bindings)
 grep -q "^Result: PASS$" tests.log.bindings.pl || exit 1
 grep -q "^OK$" tests.log.bindings.py || exit 1
-tail -n 1 tests.log.bindings.rb | grep -q ", 0 failures, 0 errors" || exit 1
+grep -q ", 0 failures, 0 errors" tests.log.bindings.rb || exit 1
 #TODO javahl
 exit 0



Mime
View raw message